#include "main.hpp"
#include "aboutdlg.hpp"

static HINSTANCE hInstance;

int _stdcall AboutDlgProc (HWND hDlg, unsigned int msg, WPARAM wParam, LPARAM lParam)
{
	switch (msg)
	{
		case WM_INITDIALOG:
		{
			HBITMAP icono1; 
			icono1 = (HBITMAP)LoadImageW(hInstance, MAKEINTRESOURCE(IDB_LOGO), IMAGE_ICON, SM_CXICON, SM_CYICON, 0);
			HWND hwndicon = CreateWindowEx(0, WC_STATIC, L"", WS_VISIBLE | WS_CHILD | WS_CLIPSIBLINGS | SS_BITMAP,
				15, 15, 48, 48, hDlg, NULL, hInstance, NULL);
			SendMessage(hwndicon, STM_SETIMAGE, (WPARAM)icono1, 0);
		}
			return TRUE;
		case WM_COMMAND:
			if (LOWORD (wParam) == IDOK) {
				EndDialog(hDlg, TRUE);
			} else if (LOWORD (wParam) == IDCANCEL){
				EndDialog(hDlg, TRUE);
			}
			break;
			return TRUE;
		case WM_DESTROY:
			EndDialog(hDlg, TRUE);
			return TRUE;
	}
	return FALSE;
}

int ContactInfo (HWND hMainWindow)
{
	int select_option = MessageBoxW(
		hMainWindow, 
		L"Si tiene un problema, una consulta o una sugerencia,\n"
		L"contctese con el desarrollador del programa va e-mail:\n\n"
		L"prueba@live.com\n"
		L"\nHaga clic en \"Aceptar\" para abrir su cliente de correo y\n"
		L"enviar su sugerencia.", TEXT(""), MB_OKCANCEL | MB_ICONINFORMATION);

	if (select_option == IDOK) 
	{
		WinExec((LPCSTR)"explorer mailto:prueba@live.com", (UINT)1);
	}
	return 0;
}

