#ifndef _MAIN_HPP
#define _MAIN_HPP

#if !defined (__cplusplus)
#error Se requiere un compilador C++
#endif

#include <windows.h>
#include <commctrl.h>
#include <cstdio>

#include "aboutdlg.hpp"
#include "client.hpp"
#include "ids.hpp"
#include "query.hpp"
#include "resource.hpp"

using namespace std;

void AddMenu(HWND);
LRESULT _stdcall WindowProcedure (HWND, UINT, WPARAM, LPARAM);
int ContactInfo (HWND);

typedef struct 
	stClientes
    {
		const char * name [128];
		const char * last_name [128];
		int client_id;
		char credit_id [32];
		double identity_document;
		int phone;
    } CLIENTINFO;

typedef struct
	stProductStock
    {
		int id;
		char * p_name [128];
		float size;
		struct stDistInfo
		{
			char DistName [128];
			int dist_phone;
			char DistDir[128];
		};
    } PROODUCTINFO;

#endif

